newinstall - 500 error - mint18.1

Support for the Debian/Ubuntu package, created by JCFP.
Forum rules
Help us help you:
  • Are you using the latest stable version of SABnzbd? Downloads page.
  • Tell us what system you run SABnzbd on.
  • Adhere to the forum rules.
  • Do you experience problems during downloading?
    Check your connection in Status and Interface settings window.
    Use Test Server in Config > Servers.
    We will probably ask you to do a test using only basic settings.
  • Do you experience problems during repair or unpacking?
    Enable +Debug logging in the Status and Interface settings window and share the relevant parts of the log here using [ code ] sections.
Post Reply
Ratsel
Newbie
Newbie
Posts: 3
Joined: February 4th, 2017, 6:22 pm

newinstall - 500 error - mint18.1

Post by Ratsel » February 4th, 2017, 6:33 pm

Evening

I've had to reinstall post catastrophic hardware failure

I'd installed v0.72 via mint's default repositories worked fine
uninstalled
added the ppa, removed /usr/share/sabnzbd directory
did an sudo apt-get upgrade
installed sabnzbdplus 1.2
ran sabnzbdplus

got the following

500 Internal Server Error

The server encountered an unexpected condition which prevented it from fulfilling the request.

Traceback (most recent call last):
File "/usr/share/sabnzbdplus/cherrypy/_cprequest.py", line 618, in respond
File "/usr/share/sabnzbdplus/cherrypy/_cpdispatch.py", line 25, in __call__
"""Callable which sets response.body."""
File "/usr/share/sabnzbdplus/sabnzbd/interface.py", line 300, in index
File "cheetah__usr_share_sabnzbdplus_interfaces_Plush_templates_main_tmpl_1486244091_85_94328.py", line 169, in respond
NotFound: cannot find 'have_logout'

Powered by CherryPy 3.2.0

I'm not seeing an option to grab the templates any pointers?

User avatar
safihre
Administrator
Administrator
Posts: 3321
Joined: April 30th, 2015, 7:35 am
Location: Switzerland
Contact:

Re: newinstall - 500 error - mint18.1

Post by safihre » February 5th, 2017, 2:24 am

It seems that the old compiled python files have been left behind somehow.
Specifically the interface.py file of pre-1.1.0 don't have that variable.
Make sure all leftovers are gone.

User avatar
safihre
Administrator
Administrator
Posts: 3321
Joined: April 30th, 2015, 7:35 am
Location: Switzerland
Contact:

Re: newinstall - 500 error - mint18.1

Post by safihre » February 5th, 2017, 2:25 am

Actually it mentions cherrypy 3.2.0, so all your python files are outdated.

Ratsel
Newbie
Newbie
Posts: 3
Joined: February 4th, 2017, 6:22 pm

Re: newinstall - 500 error - mint18.1

Post by Ratsel » February 5th, 2017, 4:08 am

Thanks - I'll go hunting

Ratsel
Newbie
Newbie
Posts: 3
Joined: February 4th, 2017, 6:22 pm

Re: newinstall - 500 error - mint18.1

Post by Ratsel » February 5th, 2017, 8:41 am

Now all fixed - back up and running, thanks for the pointer.

skycrzr
Newbie
Newbie
Posts: 3
Joined: September 8th, 2017, 9:57 am

Re: newinstall - 500 error - mint18.1

Post by skycrzr » August 8th, 2019, 7:33 pm

Sorry to rez, but I have this exact issue. OP would you mind sharing the fix?

sky

User avatar
jcfp
Release Testers
Release Testers
Posts: 898
Joined: February 7th, 2008, 12:45 pm

Re: newinstall - 500 error - mint18.1

Post by jcfp » August 10th, 2019, 11:56 am

Linux mint is an ubuntu derivative, just follow the ppa instructions for that and you won't have any problem updating.

Post Reply